% APPENDADJ appends an adjacency matrix with firms given in firmlist, i.e., 
% adds rows corresponding to firms listed in firmlist.
% Note: firmlist and firms may have common elements.
function Aout=appendadj(A,firms,firmlist)
nind=size(A,2);
Aout=[];
for i=1:length(firmlist)
[isect,ca,cb]=intersect(firmlist{i},firms); %intersection of the two lists
if isempty(isect)
Aout=[Aout; zeros(1,nind)];
else
Aout=[Aout; A(cb,:)];
end
end
