% GETDEGRSSIMPLE Auxiliary function to compute degrees of all positions.
% ndeg; is the degree histrogram of all positions. 
% Note the degree of position correponds to the degree of the person 
% holding the position.
function ndeg=getdegrsSimple(A)

ndeg=0;
for j=1:size(A,2) %Loop over individuals
deg=full(sum(A(:,j))); %how many boards the individual has in total 
if deg>0
if length(ndeg)>=deg
ndeg(deg)=ndeg(deg)+deg;
else
ndeg=[ndeg zeros(1,deg-length(ndeg))];
ndeg(deg)=deg;
end
end
end%end of for (loop over individuals)

