% TERMINATION TEST Auxiliary function to compute the value of the 
% termination test ||vec1-vec2|| where the norm is the infinity norm.
% There is only a minor twist which is that vec1 and vec2 can be of different
% dimensions vec1 being the "longer one".
function outval=terminationtest(vec1,vec2)

n1=length(vec1);
n2=length(vec2);
outval=0;
if min(size(vec1))>0
if n1>n2 && n2>0
temp1=max(abs(vec1(1:n2)-vec2));
temp2=max(vec1(n2+1:end));
outval=max(temp1,temp2);
elseif n1==n2
outval=max(max(abs(vec1(1:n2)-vec2)));
elseif n2==0
outval=Inf;
end
end
